
%macro d_mg(dta_in,dta_out,cond);
data aa_1;
  set &dta_in;
  &cond;
run;

proc sort data=aa_1;
 by samplesite date;
run;

proc means data=aa_1 noprint;
  var bc_mean;
  output out=avg_1 n=n mean=;
  by samplesite date;
run; 

proc means data=avg_1 noprint;
  var bc_mean;
  output out=avg_t(drop=_:) n=n mean=;
  by samplesite ;
run; 

data &dta_out;
  set avg_t;
run;

%mend d_mg;

%let out_1=avg_f;
%let out_2=avg_s;
%let condition=where hour =19;
%d_mg(s_data.Ae51_bc_allsiteout_fall_hourly,&out_1,&condition);
%d_mg(s_data.Ae51_bc_allsiteout_spr_hourly,&out_2,&condition);

data tt;
 merge &out_1 &out_2(rename=(bc_mean=bc_mean_s));
 by  samplesite ;
run;

data loc.a_bc_19;
  set &out_1 &out_2(in=a);
  if (a) then spring=1;
  else spring=0;
run;

proc corr data=tt;
 title "**** &condition ****";
  var bc_mean bc_mean_s;
run;
