options nosource nonotes nomprint;
%macro d_mg(dta_in,dta_out,cond);
data aa_1;
  set &dta_in;
  &cond;
run;

proc sort data=aa_1;
 by samplesite date;
run;

proc means data=aa_1 noprint;
  var bc_mean;
  output out=avg_1 n=n mean=;
  by samplesite date;
run; 

proc means data=avg_1 noprint;
  var bc_mean;
  output out=avg_t(drop=_:) n=n mean=;
  by samplesite ;
run; 

data &dta_out;
  set avg_t;
run;

%mend d_mg;

%let out_1=avg_f;
%let out_2=avg_s;

%macro d_corr;

%do ii=0 %to 23; 
%let condition=where hour=&ii;
%d_mg(s_data.Ae51_bc_allsiteout_fall_hourly,&out_1,&condition);
%d_mg(s_data.Ae51_bc_allsiteout_spr_hourly,&out_2,&condition);

data tt;
 merge &out_1 &out_2(rename=(bc_mean=bc_mean_s));
 by  samplesite ;
run;

proc corr data=tt outp=o_corr noprint;
 title "**** &condition ****";
  var bc_mean bc_mean_s;
run;

data o_corr(keep=hour corr);
  set o_corr;
  where _name_="bc_mean_s";
  hour=&ii*1;
  corr=bc_mean;
run;

proc append data=o_corr out=o_corr_t;
run;

%end;


%mend d_corr;

proc datasets lib=work nolist;
  delete o_corr_t;
run;

%d_corr;
