OPTIONS NOSOURCE NONOTES NOMPRINT;
%macro bc_dta(dta_out,condition);
%macro d_mg(dta_in,dta_out,cond);
data aa_1;
  set &dta_in;
  &cond;
run;

proc sort data=aa_1;
 by samplesite date;
run;

proc means data=aa_1 noprint;
  var bc_mean;
  output out=avg_1 n=n mean=;
  by samplesite date;
run; 

proc means data=avg_1 noprint;
  var bc_mean;
  output out=avg_t(drop=_:) n=n mean=;
  by samplesite ;
run; 

data &dta_out;
  set avg_t;
run;

%mend d_mg;

%let out_1=avg_f;
%let out_2=avg_s;

%d_mg(s_data.Ae51_bc_allsiteout_fall_hourly,&out_1,&condition);
%d_mg(s_data.Ae51_bc_allsiteout_spr_hourly,&out_2,&condition);



data &dta_out;
  set &out_1 &out_2(in=a);
  if (a) then spring=1;
  else spring=0;
    if index(samplesite,"100 meters") then pid=1;
  else if  index(samplesite,"Maybury") then pid=2;
  else if  index(samplesite,"Ludington") then pid=3;
  else pid=substr(samplesite,2);
run;
%mend bc_dta;

%let d_out=bc_day;

%MACRO D_SCH;
%bc_dta(&d_out,	&cnd);

proc sort data=bc_day out=bc_01;
  by pid spring;
run;

data t_01;
  merge bc_01 mj_idx;
  by pid;
run;

proc sort data=t_01;
 by spring;
run;

/*
proc corr data=t_01;
  title "***** &cnd (spring and fall TOGETHER) *****"; 
  var bc_mean;
  with pct_noO:;
run;
*/

proc corr data=t_01  OUTP=A_CORR NOPRINT;
   title "***** &cnd (spring and fall) *****"; 
  var bc_mean;
  with pct_noO:;
  by spring;
run;

data a_corr(keep=_name_ int_hour spring bc_mean);
  length int_hour 8;
  set a_corr;
  where _type_="CORR";
  int_hour=&ii;
run;

proc append data=a_corr out=a_corr_t;
run;

%MEND D_SCH;

%MACRO T_SCH;
  %DO II=0 %TO 23; 
     %let cnd=where HOUR=&II ;
     %D_SCH;
  %END;

%MEND T_SCH;

proc datasets lib=work nolist;
  delete a_corr_t;
run;

%T_SCH;

proc sort data=a_corr_t;
  by spring _name_;
run;

proc means data=a_corr_t noprint;
  var bc_mean;
  output out=a_o n=n mean=mean std=std p5=p5 p95=p95;
 by spring _name_;
run;

proc sort data=a_corr_t;
  by spring int_hour;
run;

proc means data=a_corr_t noprint;
  var bc_mean;
  output out=a_o1 n=n mean=mean std=std p5=p5 p95=p95;
 by spring int_hour;
run;
