options nosource nonotes nomprint;

* empty circle;
data aa(keep=pid date hour bc_mean spring traffic);
  set s_data.Ae51_bc_allsiteout_fall_hourly s_data.Ae51_bc_allsiteout_spr_hourly(in=a);
  if (a) then spring=1;
  else spring=0;
  if hour in (5,6,7,8,9) then traffic="high";
  else if  hour in (11,12,13,14,15,16,17) then traffic="low";
  else traffic="med";

    if index(samplesite,"100 meters") then pid=1;
  else if  index(samplesite,"Maybury") then pid=2;
  else if  index(samplesite,"Ludington") then pid=3;
  else pid=substr(samplesite,2);
run;


proc sort data=aa;
  by spring traffic;
run;

proc means noprint data=aa;
  var bc_mean;
  output out=a_avg(drop=_:) n=n mean=mean std=std p5=p5 p25=p25 p50=p50 p75=p75 p95=p95;
  by spring traffic;
run;

proc export data=a_avg outfile="./tab/b_ana02a.xls" replace;
  sheet="a_avg";
run;

proc sort data=aa;
  by spring pid traffic;
run;

proc means data=aa noprint;
  var bc_mean;
  output out=aa1 mean=;
  by spring pid traffic;
run;
  
proc sort data=aa1;
  by pid;
run;

data aa2;
 merge aa1 loc.a_mj_idx2;
 by pid;
run;


proc glm data=aa2;
  class traffic;
  model bc_mean	=spring traffic mjcadt50  mjcadt100 mjcadt150 mjcadt200 mjcadt250 mjcadt300;
run;
quit;

