options nosource nonotes nomprint;

* empty circle;
data aa(keep= samplesite pid date hour cal_: daytype traffic);
  set s_data.Nox_allout_fall_hourly (rename=(hour=hhh));
   hour=hour(hhh);
  if hour in (5,6,7,8,9) then traffic="high";
  else if  hour in (11,12,13,14,15,16,17) then traffic="low";
  else traffic="med";

    if index(samplesite,"100m") then pid=1;
  else if  index(samplesite,"Maybury") then pid=2;
  else if  index(samplesite,"Ludington") then pid=3;
  else pid=substr(samplesite,2);
run;


proc sort data=aa;
  by  traffic;
run;

proc means noprint data=aa;
  var cal_no2;
  output out=a_avg(drop=_:) n=n mean=mean std=std p5=p5 p25=p25 p50=p50 p75=p75 p95=p95;
  by traffic ;
run;

proc export data=a_avg outfile="./tab/b_ana02a_no2.xls" replace;
  sheet="a_avg";
run;

proc sort data=aa;
  by  pid traffic;
run;

proc means data=aa noprint;
  var cal_no2;
  output out=aa1 mean=;
  by  pid traffic;
run;
  
proc sort data=aa1;
  by pid;
run;

data aa2;
 merge aa1 loc.a_mj_idx2;
 by pid;
run;

proc sort data=aa2;
  by  traffic;
run;

*** check site number;
proc freq data=aa2;
  table pid;
run;

ods output  PearsonCorr=z_corr1;
proc corr data=aa2 ;
  var pppNO: mj:;
  with cal_no2;
  by  traffic;
run;
ods output close;

ods output  PearsonCorr=z_corr2;
proc corr data=aa2 ;
  var pppNO: mj:;
  with cal_no2;
  
run;
quit;
ods output close;

proc export data=z_corr2 outfile="./tab/b_ana02a_no2.xls" replace;
  sheet="corr";
run;

proc export data=z_corr1 outfile="./tab/b_ana02a_no2.xls" replace;
  sheet="corr_traffic";
run;

