options nosource nonotes nomprint;
data aa(keep=pid date hour bc_mean spring traffic);
  set s_data.Ae51_bc_allsiteout_fall_hourly s_data.Ae51_bc_allsiteout_spr_hourly(in=a);
  if (a) then spring=1;
  else spring=0;
  if hour in (5,6,7,8,9) then traffic="high";
  else if  hour in (11,12,13,14,15,16,17) then traffic="low";
  else traffic="med";

    if index(samplesite,"100 meters") then pid=1;
  else if  index(samplesite,"Maybury") then pid=2;
  else if  index(samplesite,"Ludington") then pid=3;
  else pid=substr(samplesite,2);
run;


proc sort data=aa;
  by spring traffic;
run;


proc sort data=aa;
  by pid spring  traffic;
run;

proc means data=aa noprint;
  var bc_mean;
  output out=aa1 mean=;
  by  pid spring traffic;
run;

proc means data=aa noprint;
  var bc_mean;
  output out=aa1a mean=;
  by  pid spring ;
run;
 
proc means data=aa noprint;
  var bc_mean;
  output out=aa1b mean=;
  by  pid ;
run;

libname mj "H:\0000new02\Mj_nexus\oGIS\mj.mdb";


data mj_idx(keep=pid near_dist);
  set mj.sitePrj;
run;

proc sort data=mj_idx out=a_mj_idx;
  by pid;
run;


data aa2;
 merge aa1 a_mj_idx;
 by pid;
run;

data aa2a;
 merge aa1a a_mj_idx;
 by pid;
run;

data aa2b;
 merge aa1b a_mj_idx;
 by pid;
run;

proc sort data=aa2;
  by spring traffic;
run;

proc sort data=aa2a;
  by spring ;
run;


ods output  PearsonCorr=z_corr1;
proc corr data=aa2 ;
  var near_dist;
  with bc_mean;
  by spring traffic;
run;
ods output close;



ods output  PearsonCorr=z_corr2;
proc corr data=aa2a ;
  var near_dist;
  with bc_mean;
  by spring ;
run;
quit;
ods output close;

ods output  PearsonCorr=z_corr3;
proc corr data=aa2b ;
  var near_dist;
  with bc_mean;
run;
quit;
ods output close;




proc export data=z_corr3 outfile="./tab/b_ana02b.xls" replace;
  sheet="corr";
run;

proc export data=z_corr2 outfile="./tab/b_ana02b.xls" replace;
  sheet="corr_spring";
run;

proc export data=z_corr1 outfile="./tab/b_ana02b.xls" replace;
  sheet="corr_traffic";
run;

