
data aa(keep=samplesite date hour bc_mean spring);
  set s_data.Ae51_bc_allsiteout_fall_hourly s_data.Ae51_bc_allsiteout_spr_hourly(in=a);
  if (a) then spring=1;
  else spring=0;
run;

proc sort data=aa;
  by spring hour;
run;

proc means data=aa noprint;
  var bc_mean;
  output out=a_h_avg(keep=spring hour n bc_mean) n=n mean=bc_mean;
  by spring hour;
run;

symbol1 v=dot c=red i=j;
symbol2 v=circle c=blue i=j;

proc gplot data=a_h_avg;
  plot bc_mean*hour=spring;
run;


proc export data=a_h_avg outfile="./tab/b_gplot_hour.xls" replace;
   sheet="g_hour";
run;
